-- 
-- FarmingTablet - ModApp
-- 
-- @Interface: 1.4.4.0 1.4.4RC8
-- @Author: kevink98 
-- @Date: 25.09.2017
-- @Version: 1.2.0
-- 
-- @Support: http://ls-modcompany.com
-- @mCompanyInfo: http://mcompany-info.de/
-- 

FarmingTabletModApp = {};
g_farmingTablet.modApp = FarmingTabletModApp;

function FarmingTabletModApp.newApp(appData)
	g_farmingTablet.installedApps = g_farmingTablet.installedApps +1;
	if g_farmingTablet.installedApps > g_farmingTablet.supportedNumApps then
		print("ERROR: to much Apps!");
		return;
	end;
	
	g_farmingTablet.apps[appData.name] = {};
	g_farmingTablet.apps[appData.name].nameOfApp = appData.nameOfApp;
	g_farmingTablet.apps[appData.name].name = appData.name;
	g_farmingTablet.apps[appData.name].nameAppstoreButton = appData.nameAppstoreButton;
	g_farmingTablet.apps[appData.name].id = g_farmingTablet.installedApps;
	g_farmingTablet.apps[appData.name].appCategoryDefault = appData.appCategoryDefault;
	g_farmingTablet.apps[appData.name].author = appData.author;
	g_farmingTablet.apps[appData.name].version = appData.version;
	g_farmingTablet.apps[appData.name].isBuyable = appData.isBuyable;
	g_farmingTablet.apps[appData.name].startWindow = appData.startWindow;
	g_farmingTablet.apps[appData.name].isBuy = false;
	g_farmingTablet.apps[appData.name].useSettings = Utils.getNoNil(appData.useSettings, true);
	g_farmingTablet.apps[appData.name].iconImage = appData.iconImage;
	g_farmingTablet.apps[appData.name].useBackgroundsByTablet = appData.useBackgroundsByTablet or false;
	g_farmingTablet.apps[appData.name].priceForAppstore = appData.priceForAppstore;
	g_farmingTablet.apps[appData.name].descLine1 = appData.descLine1;
	g_farmingTablet.apps[appData.name].descLine2 = appData.descLine2;
	g_farmingTablet.apps[appData.name].descLine3 = appData.descLine3;
	g_farmingTablet.apps[appData.name].shortDescLine1 = appData.shortDescLine1;
	g_farmingTablet.apps[appData.name].shortDescLine2 = appData.shortDescLine2;
	g_farmingTablet.apps[appData.name].settings = {};
	g_farmingTablet.apps[appData.name].settings.r = 0;
	g_farmingTablet.apps[appData.name].settings.g = 0;
	g_farmingTablet.apps[appData.name].settings.b = 0;
	g_farmingTablet.apps[appData.name].settings.a = 1;
	g_farmingTablet.apps[appData.name].settings.useOwnTextColor = false;
	
	
	if g_farmingTablet.apps[appData.name].isBuyable then
		g_farmingTablet.apps[appData.name].isBought = false;
	else
		g_farmingTablet.apps[appData.name].isBought = true;
	end;
	
	if appData.useBackgroundsByTablet == true then
		g_farmingTablet.apps[appData.name].backgroundActiveIndex = appData.backgroundActiveIndex;
		g_farmingTablet.apps[appData.name].setBackgroundActiveIndex = function (value) g_farmingTablet.apps[appData.name].backgroundActiveIndex = value; end;
	end;
	g_farmingTablet.getAppById[g_farmingTablet.installedApps] = g_farmingTablet.apps[appData.name];
	if g_farmingTablet.apps[appData.name].useSettings then		
		g_farmingTablet.apps_useSettings[g_farmingTablet.apps[appData.name].id] = true;
	end;
	if g_farmingTablet.apps[appData.name].isBuyable then
		g_farmingTablet.appStore.addAppToStore(appData.name)
	else
		g_farmingTablet.addAppToHome(appData.appCategoryDefault,appData.name)
	end;
end;